#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActiveTurntableData
{
	//ID
	int mID;
	//转盘中用于客户端显示奖励道具
	std::string mShowAwardItemIDs;
	//礼包ID
	int mGiftPackageID;
};

class M_ActiveTurntable
{
public:
private:
	static std::auto_ptr<M_ActiveTurntable> msSingleton;
public:
	int GetCount();
	const M_ActiveTurntableData* GetData(int ID);
	boost::unordered_map<int, M_ActiveTurntableData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActiveTurntable* GetSingleton();
private:
	boost::unordered_map<int, M_ActiveTurntableData> mMapData;
};
